coconutMetaIntegrator <- function(metaObject) {
	return(COCONUT(GSEs=.geneLevelMeta(metaObject), control.0.col="class"))
}

.geneLevelMeta <- function(metaObject) {
  geneLevelMeta <- list()
  for(datasetName in names(metaObject$originalData)) {
    datasetObject <- metaObject$originalData[[datasetName]]
    datasetPheno <- datasetObject$pheno
    rownames(datasetPheno) <- make.names(rownames(datasetPheno))
    datasetPheno$class <- datasetObject$class
    geneLevelData <- MetaIntegrator::getSampleLevelGeneData(datasetObject, unique(datasetObject$keys))
    geneLevelDataset <- list(pheno=datasetPheno, genes=geneLevelData)
    geneLevelMeta[[length(geneLevelMeta)+1]] <- geneLevelDataset
    names(geneLevelMeta)[length(geneLevelMeta)] <- datasetName
  }
  return(geneLevelMeta)
}
