
\name{coconutMetaIntegrator}
\alias{coconutMetaIntegrator}

\title{
 Integration of the "MetaIntegrator" package with COCONUT.
}
\description{
	This function serves as a wrapper to get a standard MetaIntegrator object populated with $originalData into a COCONUT style analysis. The $class vectors are used to represent the control column. COCONUT is run with default parameters. 
}
\usage{
coconutMetaIntegrator(metaObject)
}
\arguments{
  \item{metaObject}{
	  a MetaIntegrator formatted object
  }
}
\value{
COCONUT returns a list of lists. In the main list:
\item{COCONUTList}{
COCONUTList is itself a list, with the same names as the datasets in the input objects. Only diseased (or non-control) samples are passed back here (controls are dealt with separately, as below). The post-COCONUT-conormalized values are found in $COCONUTList[GSEname]$genes. See example below for single-line code to collapse these into a single matrix for pooled analysis.
}
\item{rawDiseaseList}{
rawDiseaseList is returned so that the user can make easy comparisons between pre- and post-COCONUT-co-normalized disease data. This contains the same data as the input object, except that all control samples have been removed.
}
\item{controlList}{
controlList returns the ComBat-normalized controls in $GSEs, and the derived empiric Bayes parameters in $bayesParams. It is generally assumed that these will be useful mainly for proving what COCONUT has done, etc., and not for downstream analyses. Note that this does NOT contain the non-co-normalized control data. To compare distributions, for example, you will need the original data object. See example below.
}
}
\references{
Sweeney TE et al., "Robust classification of bacterial and viral infections via integrated host gene expression diagnostics", 2016
}
